### Method

# Qmi MessageImsSetImsServicesEnabledSettingInput ref

since: 1.38

#### Declaration [src]

    QmiMessageImsSetImsServicesEnabledSettingInput*
    qmi_message_ims_set_ims_services_enabled_setting_input_ref (
      QmiMessageImsSetImsServicesEnabledSettingInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.38

#### Return value

Type: `QmiMessageImsSetImsServicesEnabledSettingInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.